<template>
        <div class="bar-container" :key="outputElement.index" v-for="outputElement in outputArray">
            <ArrayBar :outputElement="outputElement" />
        </div>
    
</template>

<script>
import ArrayBar from './ArrayBar'

export default {
    name: "GraphicVisualizer",
    components: {
        ArrayBar,
    },
    props: {
        outputArray: Array,
    },
}
</script>

<style scoped>
.bar-container{
    padding-bottom: 3px;
    height: 100%;
    display: flex;
    align-items: center;
    
    /* display: inline-block; */
}  


</style>